com.abbyy.mobile.rtr

## Interface ITextCaptureService.ExtendedSettings

- All Superinterfaces:
    IRecognitionService.ExtendedSettings
  Enclosing interface:
    ITextCaptureService

      public static interface ITextCaptureService.ExtendedSettings
      extends IRecognitionService.ExtendedSettings

  Extended service configuration settings. Settings for advanced users. Not used in typical scenarios

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCJKVerticalTextEnabled()` Deprecated. Will be revised in future releases
    `boolean` | `isFrameMergingEnabled()` Returns true if frame merging is enabled.
    `boolean` | `isRecognitionEnabled()` Returns true if recognition is enabled.
    `void` | `setCJKVerticalTextEnabled(boolean enable)` Deprecated. Will be revised in future releases
    `void` | `setFrameMergingEnabled(boolean enable)` Enables or disables frame merging.
    `void` | `setRecognitionEnabled(boolean enable)` Enables or disables recognition.

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IRecognitionService.ExtendedSettings

      `getProcessingThreadsCount, setNamedProperty, setProcessingThreadsCount`

- - ### Method Detail

    - #### isRecognitionEnabled

          boolean isRecognitionEnabled()

      Returns true if recognition is enabled.
      Returns:
        true if recognition is enabled (default is true)

    - #### setRecognitionEnabled

          void setRecognitionEnabled(boolean enable)

      Enables or disables recognition.
      Parameters:
        `enable` - true to enable recognition (default is true)

    - #### isFrameMergingEnabled

          boolean isFrameMergingEnabled()

      Returns true if frame merging is enabled.
      Returns:
        true if frame merging is enabled (default is true)

    - #### setFrameMergingEnabled

          void setFrameMergingEnabled(boolean enable)

      Enables or disables frame merging.
      Parameters:
        `enable` - true to enable frame merging (default is true)

    - #### isCJKVerticalTextEnabled

          @Deprecated
          boolean isCJKVerticalTextEnabled()

      Deprecated. Will be revised in future releases
      Returns true if vertical text is enabled in CJK.
      Returns:
        true if vertical text is enabled in CJK (default is true)

    - #### setCJKVerticalTextEnabled

          @Deprecated
          void setCJKVerticalTextEnabled(boolean enable)

      Deprecated. Will be revised in future releases
      Enables or disables vertical text in CJK.
      Parameters:
        `enable` - true to enable vertical text in CJK (default is true)